org.labkey.remoteapi.assay

## Class AssayListCommand

- java.lang.Object
- - org.labkey.remoteapi.Command<AssayListResponse>
  - - org.labkey.remoteapi.assay.AssayListCommand

-     public class AssayListCommand
      extends Command<AssayListResponse>

  Command for obtaining information about the current assay definitions in a particular folder.

  By default, this command returns information about all assays, but you may use the various setters to filter this list to assays of a given name, type or id.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssayListCommand()` Constructs a new AssayListCommand object.
    `AssayListCommand(AssayListCommand source)` Constructs a new AssayListCommand which is a copy of the source command

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssayListCommand` | `copy()` Returns a copy of this object.
    `protected AssayListResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.
    `java.lang.Integer` | `getId()` Returns the current assay id filter (if any).
    `java.lang.String` | `getName()` Returns the assay name filter upon (if any)
    `java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()` Returns the current parameter map, or null if a map has not yet been set.
    `java.lang.String` | `getType()` Returns the current assay type filter (if any).
    `void` | `setId(java.lang.Integer id)` Sets the current assay id filter.
    `void` | `setName(java.lang.String name)` Sets the assay name to filter upon.
    `void` | `setType(java.lang.String type)` Sets the assay type filter.

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, createRequest, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssayListCommand

          public AssayListCommand()

      Constructs a new AssayListCommand object.

    - #### AssayListCommand

          public AssayListCommand(AssayListCommand source)

      Constructs a new AssayListCommand which is a copy of the source command
      Parameters:
        `source` - The source AssayListCommand

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the assay name filter upon (if any)
      Returns:
        The current assay name filter, or null if not filter has been set.

    - #### setName

          public void setName(java.lang.String name)

      Sets the assay name to filter upon. Use this to get information about a particular assay identified by the supplied name.
      Parameters:
        `name` - The assay name.

    - #### getType

          public java.lang.String getType()

      Returns the current assay type filter (if any).
      Returns:
        The current assay type filter or null if not filter has been set.

    - #### setType

          public void setType(java.lang.String type)

      Sets the assay type filter. For example, to get information on Luminex assays only, set this to 'Luminex'.
      Parameters:
        `type` - The type to filter upon.

    - #### getId

          public java.lang.Integer getId()

      Returns the current assay id filter (if any).
      Returns:
        The current assay id filter, or null if none has been set.

    - #### setId

          public void setId(java.lang.Integer id)

      Sets the current assay id filter. Set this to a valid id to get information about that assay only, or null to get information about all assays.
      Parameters:
        `id` - The assay id.

    - #### createResponse

          protected AssayListResponse createResponse(java.lang.String text,
                                                     int status,
                                                     java.lang.String contentType,
                                                     org.json.simple.JSONObject json)

      Description copied from class: `Command`
      Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

      Override this method to create an instance of a different class that extends CommandResponse

      Overrides:
        `createResponse` in class `Command<AssayListResponse>`
      Parameters:
        `text` - The response text from the server.
        `status` - The HTTP status code.
        `contentType` - The Content-Type header value.
        `json` - The parsed JSONObject (or null if no JSON was returned).
      Returns:
        An instance of the response object.

    - #### getParameters

          public java.util.Map<java.lang.String,java.lang.Object> getParameters()

      Description copied from class: `Command`
      Returns the current parameter map, or null if a map has not yet been set. Derived classes will typically override this method to provide a parameter map based on data members set by specialized setter methods.
      Overrides:
        `getParameters` in class `Command<AssayListResponse>`
      Returns:
        The current parameter map.

    - #### copy

          public AssayListCommand copy()

      Description copied from class: `Command`
      Returns a copy of this object. Derived classes should override this to copy their own data members
      Overrides:
        `copy` in class `Command<AssayListResponse>`
      Returns:
        A copy of this object